#include <bits/stdc++.h>

#define int long long

using namespace std;

int sumV(int n, int m, int j){
    int S = (1 + n * (j + 1)) * n * (j + 1) / 2;

    int cnt = m - (j + 1);
    int Scnt = (cnt + cnt + cnt * (n - 2)) * (n - 1) / 2;
    S += (j + 1) * Scnt;
    return S;
}

int sumH(int n, int m, int i){
    int S = (1 + m * (i + 1)) * m * (i + 1) / 2;
    return S;
}

signed main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);


    int t;
    cin >> t;
    while (t--){
        int n, m;
        cin >> n >> m;
        int S = (1 + n * m) * (n * m) / 2;


        //V
        int ansV = S;
        int ind = 1;

        int l = 0, r = m;
        while (l + 1 < r){
            int mid = (l + r) / 2;

            int s1 = sumV(n, m, mid);
            int s2 = S - s1;
            if(s1 - s2 <= 0) l = mid;
            else r = mid;
        }

        int s1 = sumV(n, m, l);
        int raz = abs(s1 - abs(S - s1));
        if(raz < ansV) {
            ansV = raz;
            ind = l + 2;
        }

        s1 = sumV(n, m, r);
        raz = abs(s1 - abs(S - s1));
        if(raz < ansV) {
            ansV = raz;
            ind = r + 2;
        }



        //H
        int ansH = S;
        int indH = 1;

        l = 0, r = n;
        while (l + 1 < r){
            int mid = (l + r) / 2;

            int s1 = sumH(n, m, mid);
            int s2 = S - s1;
            if(s1 - s2 <= 0) l = mid;
            else r = mid;
        }

        s1 = sumH(n, m, l);
        raz = abs(s1 - abs(S - s1));
        if(raz < ansH) {
            ansH = raz;
            indH = l + 2;
        }

        s1 = sumH(n, m, r);
        raz = abs(s1 - abs(S - s1));
        if(raz < ansH) {
            ansH = raz;
            indH = r + 2;
        }

        if(ansV <= ansH){
            cout << 'V' << " " << ind << endl;
        }
        else cout << "H" << " " << indH << endl;
    }

    return 0;
}
