#include <bits/stdc++.h>

#define int long long

using namespace std;

signed main() {
    //freopen("input.txt", "r", stdin);

    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);


    int n, m, c;
    cin >> n >> m >> c;
    bool dp[n][m][c];
    pair<int, int> link[n][m][c];
    pair<int, pair<int, int>> col[n][m][c];
    int color[n][m];

    for (int i = 0; i < n; i++) {  //профиль
        for (int j = 0; j < m; j++) {
            color[i][j] = -1;
            for (int z = 0; z < c; z++) {
                dp[i][j][z] = false;
            }
        }
    }


    for (int i = 0; i < n; i++) {
        for (int j = 0; j < m; j++) {
            for (int z = 0; z < c; z++) {
                if (i == 0 || j == 0) {
                    dp[i][j][z] = true;
                    link[i][j][z] = {-1, -1};
                    continue;
                }


                for (int i1 = 0; i1 < i; i1++) { //клетка
                    for (int j1 = 0; j1 < j; j1++) {

                        for (int c1 = 0; c1 < c; c1++) {
                            for (int c2 = 0; c2 < c; c2++) {
                                for (int c3 = 0; c3 < c; c3++) {
                                    if (c1 == c2 && c2 == c3 && c3 == z) continue;

                                    if (dp[i1][j1][c1] && dp[i1][j][c2] && dp[i][j1][c3]) {
                                        dp[i][j][z] = true;
                                        link[i][j][z] = {i1, j1};
                                        col[i][j][z].first = c1;
                                        col[i][j][z].second.first = c2;
                                        col[i][j][z].second.second = c3;
                                    }
                                }
                            }
                        }

                    }
                }

            }
        }
    }


    for (int i = n - 1; i >= 0; i--) {
        for (int j = m - 1; j >= 0; j--) {
            if (color[i][j] != -1) {
                int z = color[i][j];

                if (link[i][j][z].first == -1) {
                    color[i][j] = z;
                    continue;
                }

                int i1 = link[i][j][z].first, j1 = link[i][j][z].second;
                color[i1][j1] = col[i][j][z].first;
                color[i1][j] = col[i][j][z].second.first;
                color[i][j1] = col[i][j][z].second.second;
            } else {
                for (int z = 0; z < c; z++) {
                    if (dp[i][j][z]) {
                        if (link[i][j][z].first == -1) {
                            color[i][j] = z;
                            break;
                        }

                        color[i][j] = z;
                        int i1 = link[i][j][z].first, j1 = link[i][j][z].second;
                        color[i1][j1] = col[i][j][z].first;
                        color[i1][j] = col[i][j][z].second.first;
                        color[i][j1] = col[i][j][z].second.second;
                        break;
                    }
                }
            }
        }
    }


    for (int i = 0; i < n; i++) {
        for (int j = 0; j < m; j++) {
            cout << color[i][j] + 1 << " ";
        }
        cout << endl;
    }

    return 0;
}