#include <iostream>

#define int long long

using namespace std;

signed main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);



    int t;
    cin >> t;
    while (t--){
        int n, m;
        cin >> n >> m;
        int a[n][m];
        int S = 0;
        for(int i = 0; i < n; i++){
            for(int j = 0; j < m; j++) {
                if (j == 0) a[i][j] = i * m + 1;
                else a[i][j] = a[i][j - 1] + 1;

                S += a[i][j];
            }
        }

        //V
        int pref[n][m];
        for(int i = 0; i < n; i++){
            for(int j = 0; j < m; j++) {
                pref[i][j] = a[i][j];
                if(j != 0) pref[i][j] += pref[i][j - 1];
            }
        }
        int b[m];
        for(int j = 0; j < m; j++){
            int sum = 0;
            for(int i = 0; i < n; i++){
                sum += pref[i][j];
            }
            b[j] = sum;
        }
        int ansV = S;
        int ind = 1;
        for(int j = 1; j < m; j++){
            int rez = abs(b[j - 1] - abs(S - b[j - 1]));
            if(rez < ansV){
                ansV = rez;
                ind = j + 1;
            }
        }


        //H
        for(int j = 0; j < m; j++){
            for(int i = 0; i < n; i++){
                pref[i][j] = a[i][j];
                if(i != 0){
                    pref[i][j] += pref[i - 1][j];
                }
            }
        }

        int c[n];
        for(int i = 0; i < n; i++){
            int sum = 0;
            for(int j = 0; j < m; j++){
                sum += pref[i][j];
            }
            c[i] = sum;
        }

        int ansH = S;
        int indH = 1;
        for(int i = 1; i < n; i++){
            int rez = abs(c[i - 1] - abs(S - c[i - 1]));
            if(rez < ansH){
                ansH = rez;
                indH = i + 1;
            }
        }

        if(ansV <= ansH){
            cout << 'V' << " " << ind << endl;
        }
        else{
            cout << 'H' << " " << indH << endl;
        }
    }

    return 0;
}
